NumberFormatter::setAttribute
NumberFormatter::setSymbol
NumberFormatter
PHP Manual

# NumberFormatter::setPattern

# numfmt_set_pattern

(No version information available, might be only in CVS)

NumberFormatter::setPattern -- numfmt_set_pattern — Set formatter pattern

### Description

Object oriented style

bool NumberFormatter::setPattern ( string `$pattern` )

Procedural style

bool numfmt_set_pattern ( NumberFormatter `$fmt` , string `$pattern` )

Set the pattern used by the formatter. Can not be used on a rule-based formatter.

### Parameters

`fmt`

  NumberFormatter object.

`pattern`

  Pattern in syntax described in » ICU DecimalFormat documentation.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 numfmt_set_pattern() example

`<?php
$fmt = numfmt_create( 'de_DE', NumberFormatter::DECIMAL );
echo "Pattern: ".numfmt_get_pattern($fmt)."\n";
echo numfmt_format($fmt, 1234567.891234567890000)."\n";
numfmt_set_pattern($fmt, "#0.# kg");
echo "Pattern: ".numfmt_get_pattern($fmt)."\n";
echo numfmt_format($fmt, 1234567.891234567890000)."\n";
?>`

Example #2 OO example

`<?php
$fmt = new NumberFormatter( 'de_DE', NumberFormatter::DECIMAL );
echo "Pattern: ".$fmt->getPattern()."\n";
echo $fmt->format(1234567.891234567890000)."\n";
$fmt->setPattern("#0.# kg");
echo "Pattern: ".$fmt->getPattern()."\n";
echo $fmt->format(1234567.891234567890000)."\n";
?>`

The above example will output:

    Pattern: #,##0.###
    1.234.567,891
    Pattern: #0.# kg
    1234567,9 kg

### See Also

- numfmt_get_error_code()
- numfmt_create()
- numfmt_get_pattern()

NumberFormatter::setAttribute
NumberFormatter::setSymbol
NumberFormatter
PHP Manual